Name:           libverto-jsonrpc
Version:        0.1.0
Release:        9%{?dist}
Summary:        JSON-RPC support for libverto

License:        MIT
URL:            https://fedorahosted.org/libverto
Source0:        https://fedorahosted.org/releases/l/i/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  libverto-devel >= 0.2.4
BuildRequires:  json-c-devel
BuildRequires:  findutils

%description
A library for doing JSON-RPC over a socket, using the libverto API.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig
Requires:       libverto-devel
Requires:       json-c-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/*.so.*

%files devel
%{_includedir}/verto-jsonrpc.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 16 2012 Nathaniel McCallum <npmccallum@redhat.com> - 0.1.0-5
- Add versioned buildrequires: libverto-devel >= 0.2.4

* Thu Feb 16 2012 Nathaniel McCallum <npmccallum@redhat.com> - 0.1.0-4
- Add libverto-devel dependency to -devel

* Mon Feb 13 2012 Nathaniel McCallum <npmccallum@redhat.com> - 0.1.0-3
- Add json-c-devel dependency to -devel
- Add specific reference to %{_includedir}/verto-jsonrpc.h
- Add a BuildRequires for findutils

* Mon Feb 13 2012 Nathaniel McCallum <npmccallum@redhat.com> - 0.1.0-2
- Remove libverto-module-base dependency

* Mon Feb 13 2012 Nathaniel McCallum <npmccallum@redhat.com> - 0.1.0-1
- Initial package
